Bug 641468 - Touchpad does not work on 2010 Sony Vaio Z (upstream patch available)
Touchpad does not work on 2010 Sony Vaio Z (upstream patch available)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F14-accepted/F14FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2010-10-08 15:20 EDT by Adam Williamson
Modified: 2010-10-21 15:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-21 15:01:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2010-10-08 15:20:03 EDT
Filing this for easy downstream tracking of this issue. The touchpad on 2010 model Sony Vaio Zs is known not to be working without the use of the 'i8042.nopnp=1' parameter. Even with this parameter, on about 1/10 boots, both the touchpad and the internal keyboard fail to work.

An upstream patch is available for this:

http://marc.info/?l=linux-acpi&m=127570466420246&w=2

and has been accepted into acpi-test this week:

http://marc.info/?l=linux-acpi&m=128591337505051&w=2

so it should be OK to take this into Fedora kernels (recommend F13/F14/F15). I've been running with this patch on my Z for a while and it has not caused any regression; touchpad works on boot and I never see the intermittent failure of both touchpad and keyboard at boot any more. Every so often they fail to work after a resume from suspend, but that is also the case without the patch, so the patch doesn't make anything worse.
Comment 1 Adam Williamson 2010-10-08 15:20:39 EDT
proposing as NTH.
Comment 2 Adam Williamson 2010-10-15 13:12:37 EDT
Reviewed at the 2010-10-15 review meeting. We accepted this as NTH if the kernel team wants to add it to an update necessary for blocker bugs; we don't want to see a kernel build just for this bug.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Fedora Update System 2010-10-18 21:16:28 EDT
kernel-2.6.35.6-45.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.6-45.fc14
Comment 4 Fedora Update System 2010-10-19 05:11:47 EDT
kernel-2.6.35.6-45.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Adam Williamson 2010-10-21 15:01:16 EDT
This is fixed, as per the above note (don't know why it didn't result in the bug being closed). yay!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.